Endpoint
Paramètres path
| Nom | Type | Requis | Description |
|---|---|---|---|
id | UUID | oui | ID de la campagne |
Réponse succès 200
Erreurs courantes
| HTTP | Code | Quand |
|---|---|---|
400 | BAD_REQUEST | Statut incompatible avec la pause |
404 | NOT_FOUND | Campagne introuvable |
Met une campagne en pause quand son statut le permet.
POST /api/v1/campaigns/{id}/pause
| Nom | Type | Requis | Description |
|---|---|---|---|
id | UUID | oui | ID de la campagne |
200{
"data": {
"id": "cmp_uuid",
"userId": "user_uuid",
"instanceId": "inst_uuid",
"name": "Promo Black Friday",
"templateId": null,
"type": "text",
"body": "Bonjour, découvrez notre promo.",
"mediaUrl": null,
"schedule": "2026-04-02T10:00:00.000Z",
"repeat": "none",
"status": "paused",
"recipients": { "type": "all" },
"templateVariables": null,
"stats": {
"planned": 500,
"queued": 120,
"sent": 350,
"delivered": 330,
"read": 210,
"failed": 30,
"cancelled": 0
},
"createdAt": "2026-04-01T17:00:00.000Z",
"updatedAt": "2026-04-02T10:05:00.000Z"
}
}
| HTTP | Code | Quand |
|---|---|---|
400 | BAD_REQUEST | Statut incompatible avec la pause |
404 | NOT_FOUND | Campagne introuvable |